Skip to main content
GET
/
ticket-rates
/
{id}
Get ticket rate by id
curl --request GET \
  --url https://channels-service-alpha.fourvenues.com/ticket-rates/{id} \
  --header 'X-Api-Key: <api-key>'
import requests

url = "https://channels-service-alpha.fourvenues.com/ticket-rates/{id}"

headers = {"X-Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};

fetch('https://channels-service-alpha.fourvenues.com/ticket-rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "organization_id": "abcdefghi1234567890",
    "event_id": "abcdefghi1234567890",
    "name": "General Access",
    "slug": "general-access",
    "valid_from": "2022-01-01T00:00:00.000Z",
    "complete": false,
    "type": "limited",
    "prices": [
      {
        "price": 12,
        "valid_until": "2022-01-01T00:00:00.000Z",
        "quantity": 0,
        "includes": "1 Drink",
        "additional_info": "Only valid before 2:00 am.",
        "_id": "1643064796675",
        "name": "Early Bird",
        "fee_type": "percentage",
        "fee_quantity": 10,
        "used": "55"
      }
    ],
    "supplements": [
      {
        "_id": "1643064796675",
        "label": "1 Copa",
        "price": 12,
        "has_fake_price": true,
        "fake_price": 15,
        "description": "Includes one drink at the bar",
        "product_quantity": 4,
        "purchase_limit": {
          "min_quantity": 2,
          "max_quantity": 8,
          "is_unlimited": false
        },
        "redemption_deadline": {
          "is_expiration_enabled": true,
          "expiration_deadline": 1798851600
        },
        "service_charge_amount": 15,
        "service_charge_type": "percentage"
      }
    ],
    "available": true,
    "availability": {
      "sold": 10,
      "available": 90
    },
    "min": 1,
    "max": 10,
    "questions": [
      {
        "_id": "1643064796675",
        "label": "¿How did you hear about us?",
        "type": "dropdown",
        "required": true,
        "items": [
          "Instagram",
          "Appear"
        ]
      }
    ],
    "_id": "abcdefghi1234567890",
    "show_all_prices": true,
    "current_price": {
      "price": 12,
      "valid_until": "2022-01-01T00:00:00.000Z",
      "quantity": 0,
      "includes": "1 Drink",
      "additional_info": "Only valid before 2:00 am.",
      "_id": "1643064796675",
      "name": "Early Bird",
      "fee_type": "percentage",
      "fee_quantity": 10,
      "used": "55"
    },
    "warranty": {
      "enabled": true,
      "percentage": 20,
      "hours": 12
    },
    "has_discount_codes_enabled": true
  },
  "success": true
}

Authorizations

X-Api-Key
string
header
required

Path Parameters

id
string
required

Ticket rate id

Example:

"abcde12345"

Response

OK

data
object
success
boolean